CairoFontFace::__construct
CairoFontFace::status
CairoFontFace
PHP Manual

# CairoFontFace::getType

(PECL cairo >= 0.1.0)

CairoFontFace::getType — Retrieves the font face type

### Description

public int CairoFontFace::getType ( void )

This function returns the type of the backend used to create a font face. See CairoFontType class constants for available types.

### Parameters

This function has no parameters.

### Return Values

A font type that can be any one defined in CairoFontType

### Examples

Example #1 CairoFontFace::getType example

`<?php
// Creates the font face
$fontface = new CairoToyFontFace('sans-serif');
// Get the font face type
var_dump($fontface->getType());
?>`

The above example will output something similar to:

    int(0)

### See Also

- Classname::Method

CairoFontFace::__construct
CairoFontFace::status
CairoFontFace
PHP Manual